<template>
  <div class="card card-sm">
    <div class="card-body">
      <b-row class="align-items-center">
        <b-col cols="auto">
          <slot name="avatar"></slot>
        </b-col>
        <b-col>
          <div class="font-weight-bold">{{ title }}</div>
          <div v-if="subtitle" class="text-muted">{{ subtitle }}</div>
        </b-col>
        <b-col v-if="completedSteps" cols="auto" style="position: relative">
          <client-only>
            <radial-progress-bar
              :diameter="35"
              :completed-steps="completedSteps"
              :total-steps="100"
              start-color="#60A6E4"
              stop-color="#60A6E4"
              :stroke-width="2"
              :inner-stroke-width="2"
              inner-stroke-color="#F4F4F4"
            >
            </radial-progress-bar>
          </client-only>
        </b-col>
      </b-row>
    </div>
  </div>
</template>
<script>
export default {
  props: {
    title: {
      type: String,
      default: '',
    },
    subtitle: {
      type: String,
      default: '',
    },
    completedSteps: {
      type: Number,
      default: 0,
    },
  },
};
</script>
